Original URL: http://www.theregister.co.uk/2008/06/25/yahoo_mail_vuln/

Yahoo! Mail! vuln! fixed!

Buddy hacker account compromise risk plugged

By John Leyden

Posted in Security, 25th June 2008 15:35 GMT

Yahoo! has fixed a vulnerability that left users of its popular webmail service at risk of having their login credentials stolen.

The cross-site scripting flaw, which allowed session IDs to be be stolen, involves the interaction between Yahoo! mail and the Yahoo! Messenger instant messaging client. The flaw was discovered in May by researchers at web application security firm Cenzic who worked with Yahoo! in resolving the problem.

Yahoo! fixed the vulnerability on 13 June, allowing Cenzic to publish a detailed advisory on the problem. The advisory (below) explains that miscreants would have first had to establish "buddy" status with their intended victims before carrying out the attack, which only worked were a Yahoo! mail user had configured Messenger support.

If the attacker is using the Yahoo! Messenger desktop application 8.1.0.209 to chat with the victim, and the victim is using the Messenger support in the new Yahoo! Mail Web application, it will cause a new chat tab to open in the victim’s browser. While chatting, the attacker can change their status to "invisible" causing a message of "offline" in the chat tab of the victim.

The vulnerability occurred when the attacker then changed status, and sent a custom message containing a malicious string in the form of a status message of "online", with the script executed in the context of Yahoo! Mail on the victim’s machine. This allowed an attacker to get active access to the victim’s session ID, and in turn steal their Yahoo! identity, exposing sensitive personal information stored in their Yahoo! account.

Ceznic's advisory on the vulnerability can be found here. Cross-site scripting flaws are a common class of web application vulnerability that has affected other webmail services including Gmail in the past. ®